## ros-kinetic-pyros-interfaces-ros 0.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pyros_interfaces_ros)  # we need to follow ros package naming conventions here

# Minimal Python module setup - catkin is assumed preinstalled along with ROS
# This assume catkin is installed along with a minimal ROS system.
find_package(catkin REQUIRED COMPONENTS
    catkin_pip
    rospy
    rosgraph
    roslaunch
    rostest
)

# TMP : because we need dependencies that are not released in ROS yet (pyros_interfaces_common declared in setup.py)
set(CATKIN_PIP_NO_DEPS False CACHE BOOL "Whether we want to retrieve python dependencies and requirements for packages" FORCE)

# defining current package as a package that should be managed by pip (not catkin - even though we make it usable with workspaces)
catkin_pip_package(pyros_interfaces_ros)

## Unit tests
if (CATKIN_ENABLE_TESTING)


    ##############################################################################
    # Nose Tests
    ##############################################################################

    # Careful this will not support parallel testing, due to multiprocess environment used in tests
    # because of ROS (node_init() can be called only once per process)
    # these should be run in separate process each to avoid global side effect during tests
    # TODO : find a way to force nose to run each test isolated ?
    catkin_add_nosetests(pyros_interfaces_ros/tests)

    ##############################################################################
    # Ros Tests
    ##############################################################################

    # find_package(catkin REQUIRED COMPONENTS rostest)

    # These rostests need to be run one by one ( because of rospy side effects)
    # Note : using pyros-setup should fix this...
    catkin_add_nosetests(pyros_interfaces_ros/rostests/testService.py)
    catkin_add_nosetests(pyros_interfaces_ros/rostests/testStringPublisher.py)
    catkin_add_nosetests(pyros_interfaces_ros/rostests/testStringSubscriber.py)
    catkin_add_nosetests(pyros_interfaces_ros/rostests/test_param_if_pool.py)
    catkin_add_nosetests(pyros_interfaces_ros/rostests/test_service_if_pool.py)
    catkin_add_nosetests(pyros_interfaces_ros/rostests/test_subscriber_if_pool.py)
    catkin_add_nosetests(pyros_interfaces_ros/rostests/test_publisher_if_pool.py)
    catkin_add_nosetests(pyros_interfaces_ros/rostests/testRosInterface.py)
    # TMP : Disabled because it can hang sometimes on jenkins.
    #catkin_add_nosetests(pyros_interfaces_ros/rostests/testPyrosROS.py)
    # Running with nose because rostest fails ( not sure why yet )

    # add_rostest(pyros_interfaces_ros/rostests/testStringTopic.test)
    # add_rostest(pyros_interfaces_ros/rostests/testService.test)

    # Testing rosinterface class integration in pyros
    # add_rostest(pyros_interfaces_ros/rostests/testRosInterface.test)


endif()

=== debian/changelog ===
ros-kinetic-pyros-interfaces-ros (0.4.2-0xenial) xenial; urgency=high

  * Adding rosservice dependency. [AlexV]
  * Fixing param getval/setval interface. [AlexV]
  * Updating README. [AlexV]
  * Changed travis config to not attempt to build packages. ros build farm
    will do it. [AlexV]

 -- AlexV <asmodehn@gmail.com>  Fri, 20 Apr 2018 22:00:00 -0000

ros-kinetic-pyros-interfaces-ros (0.4.1-0xenial) xenial; urgency=high

  * 0.4.1. [AlexV]
  * Updating changelog. [AlexV]
  * Adjusting package version. [AlexV]
  * Merge pull request #10 from pyros-dev/pyros_common_5. [AlexV]adating pyros exceptionsto recent pyros_common.exception base class.
  * Fixing super call. [AlexV]
  * Now exposing __version__ as usually done. [AlexV]
  * Bumping packages version. [AlexV]
  * Reviewing rosinstall file for this package. [AlexV]
  * Adapting Pyros Exceptions to new format. [AlexV]
  * Adating pyros exceptionsto recent pyros_common.exception base class.
    [AlexV]
  * Merge pull request #8 from pyros-dev/improved_logging. [AlexV]now logging config values
  * Now logging config values. [alexv]
  * Merge pull request #7 from cehberlin/master. [AlexV]Fixed missing forwards that are used by rostful
  * Fixed broken manifest loading in message_conversion and safe api.
    [Christopher Hrabia]
  * Fixed missing ServiceException forwarding. [Christopher Hrabia]
  * Merge pull request #6 from asmodehn/namespace. [AlexV]Namespace
  * Filling up readme. [AlexV]
  * Adding setup.py commands to make release easier... [AlexV]
  * Adding main module and launch file to be able to launch pyros node by
    itself. [AlexV]
  * Removing the debug print of sys.path. [AlexV]
  * Now exposing PyrosROS class from the package. [AlexV]

 -- AlexV <asmodehn@gmail.com>  Wed, 18 Apr 2018 22:00:00 -0000

ros-kinetic-pyros-interfaces-ros (0.4.0-0xenial) xenial; urgency=high

  * 0.4.0. [AlexV]
  * Preparing for 0.4 release. [AlexV]
  * Comments. [AlexV]
  * Changing pyros_interfaces_ros import name. [AlexV]
  * Fixing pyros_interfaces_common import name. [AlexV]
  * Fixing path to version module. [AlexV]
  * Dropping our idea of namespace packages since we cannot easily make a
    working ROS deb pkg out of it. [AlexV]
  * Activating dependency retrieval (from dependency link) until pyros-
    common with namespace is released as deb. [AlexV]
  * Using dependency links to get in progress namespace package
    pyros_interfaces directly from git. [AlexV]
  * Enforcing usage of pkg-resources, not pkgutil, for namespace packages.
    moved importe of common out of try catch. [AlexV]
  * Reorganizing to nest everything under pyros_interfaces namespace.
    [AlexV]
  * WIP reviewing how to handle config... [alexv]
  * Adding pyros_test as test dependency. [alexv]
  * Adding pyros_utils as dependency. cleaning some imports. [alexv]
  * Switching to use shadow fixed ros repositories. [alexv]
  * Fixed tests, version number and dependency to pyros_common. [alexv]
  * Restructuring to simplify things... [alexv]
  * Fixing imports for new pyros structure. [alexv]
  * Adding dependency on catkin_pip. [alexv]
  * Fixing tests paths. [alexv]
  * Setting cmakelists and package.xml. [alexv]
  * Gathering and restructuring ros dependent part of pyros. [alexv]
  * Adding project files. [alexv]
  * Moving rosinstall files to proper directory. [alexv]
  * Merge branch 'master' into HEAD. [alexv]
  * Initial commit. [AlexV]
  * Moving mock interface outside of ROS, to not depend on ROS for mocks.
    [alexv]
  * Small file rename to match new name from pub and sub. [alexv]
  * Merge branch 'pub_sub' of https://github.com/asmodehn/pyros into
    socket_safety. [alexv]Conflicts:
    
    pyros/rosinterface/param_if_pool.py
    pyros/rosinterface/topic.py
  * Fixing node interface after pub/sub mixup. simplified stringpub and
    string sub tests. [alexv]
  * Fixing tests filenames. cleanup debug prints. [alexv]
  * Fixing cross logic between pubs ans subs. [alexv]
  * Improving subscriber / publisher inter interfacing... added timeout to
    connect a pub/sub. [alexv]
  * Now properly inverting (publisher_if is subscriber and vice versa)
    [alexv]
  * Fixing broken update loop of ros_interface. [alexv]
  * Skipping failing rosinterface test for now. passing fine
    independently, more investigation needed... [alexv]
  * Separating pubs and subs. needs pyros_test 0.0.6 for tests. [alexv]
  * Moving all ros api calls into subpackage to make patching easier.
    cleaned up imports. [AlexV]
  * First version of rospy safe API. [AlexV]
  * Improving travis build to test with cache as well... change version_eq
    to version_gte since buidfarm doesnt handle version_eq properly
    (yet?). [alexv]
  * Moving mockinterface into rosinterface.mock since design follows ROS
    concepts. fixed all tests. bumped pyros minor version to 0.3.0 because
    of all the changes... [alexv]
  * Merged testRosInterfaceNoCache and testRosInterfaceCache. fixed all
    issues. [alexv]
  * Fixed tests without cache. [alexv]
  * Basic usecase now working again with cache. needs lots of cleanup...
    [alexv]
  * Continuing changes in rosinterface, splitting service, topics and
    params interface pools now rosinterface tests all passing. [alexv]
  * Splitting baseinterface to simplify things. fixed mockinterface and
    tests. [alexv]
  * Various cleanups. [alexv]
  * Improved profiling script. [alexv]
  * Comments. [alexv]
  * Fixing bwcompat issues. dropping shutdown behavior fix for now.
    [alexv]
  * Improved management of interface topics and reference counting. still
    broken for multiprocess because shutdown is not working properly.
    [alexv]
  * Fixing params and services removal with cache diff input. improved
    topics interface creation and cleanup. [alexv]
  * Speeding up topic interfacing. [alexv]
  * Fixed logic for removing transients on difference update. now
    forwarding exception if param type not found small test improvements.
    [alexv]


=== debian/control ===
Source: ros-kinetic-pyros-interfaces-ros
Section: misc
Priority: extra
Maintainer: AlexV <asmodehn@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin (>= 0.6.18), ros-kinetic-catkin-pip (>= 0.1.17), ros-kinetic-message-generation (>= 0.2.10), ros-kinetic-pyros-common (>= 0.5.3), ros-kinetic-pyros-config (>= 0.2.0), ros-kinetic-pyros-test (>= 0.0.6), ros-kinetic-pyros-utils (>= 0.1.3), ros-kinetic-pyzmp (>= 0.0.17), ros-kinetic-roslint (>= 0.10.0), ros-kinetic-rospy (>= 1.11.19), ros-kinetic-rosservice (>= 1.11.19), ros-kinetic-rostest (>= 1.11.19), ros-kinetic-rostopic (>= 1.11.19), ros-kinetic-rosunit (>= 1.11.12), ros-kinetic-std-msgs (>= 0.5.9)
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-pyros-interfaces-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-message-runtime (>= 0.4.12), ros-kinetic-pyros-common (>= 0.5.3), ros-kinetic-pyros-config (>= 0.2.0), ros-kinetic-pyros-utils (>= 0.1.3), ros-kinetic-pyzmp (>= 0.0.17), ros-kinetic-rospy (>= 1.11.19), ros-kinetic-std-msgs (>= 0.5.9)
Description: Dynamic ROS interface for Pyros

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-pyros-interfaces-ros//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
